DomainCanChangeNameserversResponse
Successful response with one DomainCanChangeNameservers
errorintegerrequired
Always 0 in a successful response
Constant value:
0messagestring | nullnullablerequired
Always null in a successful response
data objectrequired
Resource returned by the operation
domain_idintegerrequired
can_activate_standardbooleanrequired
Whether the standard nameservers can be activated (PUT /api/v3/domains/{domain_id}/dns/standard); false when they are the current ones
can_activate_cloudflarebooleanrequired
Whether the Cloudflare nameservers can be activated (PUT /api/v3/domains/{domain_id}/dns/cloudflare); false when they are the current ones
can_activate_externalbooleanrequired
Whether the external nameservers can be activated (PUT /api/v3/domains/{domain_id}/dns/external); false when they are the current ones
metarequired
Always null: only the paginated lists have a meta
Constant value:
nullDomainCanChangeNameserversResponse
{
"error": 0,
"message": "string",
"data": {
"domain_id": 0,
"can_activate_standard": true,
"can_activate_cloudflare": true,
"can_activate_external": true
}
}